/**
 * @param  {string} url
 * @returns Promise<boolean>
 * @description Checks whether the URL is online or not by doing a request to the mentioned site.
 */
declare const isUrlOnline: (url: string) => Promise<boolean>;

/**
 * @param  {string} url
 * @returns boolean
 * @description Check if a string is a URL.
 */
declare const isUrlString: (url: string) => boolean;

declare type PrependHTTP = {
    url: string;
    https?: boolean;
};
/**
 * @param  {url} URL
 * @param  {boolean} https=true as default
 * @returns string
 * @description Prepends HTTP or HTTPS to the string
 */
declare const prependHttp: ({ url, https, }: PrependHTTP) => string | boolean;

export { PrependHTTP, isUrlOnline, isUrlString, prependHttp };
