"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/modules/https-utils.ts
var _https = require('https');
function isStatusOK(result) {
  return result.statusCode !== void 0 && result.statusCode >= 200 && result.statusCode <= 399;
}
function requestWorks(url, method) {
  return new Promise((resolve) => {
    try {
      const req = _https.request.call(void 0, url, { method }, (result) => {
        resolve(isStatusOK(result));
      });
      req.on("error", (_error) => {
        resolve(false);
      });
      req.end();
    } catch (e) {
      resolve(false);
    }
  });
}

// src/modules/isUrlString.ts
var _url = require('url');
var isUrlString = (url) => {
  if (typeof url !== "string") {
    return false;
  }
  const trimmedUrl = url.trim();
  if (trimmedUrl.includes(" ")) {
    return false;
  }
  try {
    new (0, _url.URL)(trimmedUrl);
    return true;
  } catch (e2) {
    return false;
  }
};

// src/modules/isUrlOnline.ts
var isUrlOnline = async (url) => {
  const isUrl = isUrlString(url);
  if (!isUrl) {
    return false;
  }
  let response = await requestWorks(url, "HEAD");
  if (response) {
    return true;
  }
  response = await requestWorks(url, "GET");
  return !!response;
};

// src/modules/prependHttp.ts
var prependHttp = ({
  url,
  https = true
}) => {
  const trimmedUrl = url.trim();
  if (/^\.*\/|^(?!localhost)\w+:/u.test(trimmedUrl)) {
    return url;
  }
  return trimmedUrl.replace(
    /^(?!(?:\w+:)?\/\/)/u,
    https ? "https://" : "http://"
  );
};




exports.isUrlOnline = isUrlOnline; exports.isUrlString = isUrlString; exports.prependHttp = prependHttp;
